Bug 446893 - system freeze update multiple video card
system freeze update multiple video card
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 11:40 EDT by Jason
Modified: 2009-01-09 01:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:31:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason 2008-05-16 11:40:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.14) Gecko/20080416 Fedora/2.0.0.14-1.fc8 Firefox/2.0.0.14

Description of problem:
I have two video cards and configure X as multi-heads (4 heads). One nVidia and one ATI card.

Since I upgraded the kernel to the latest, my system keep freezing during the X start. I downgraded the kernel and found that the system worked properly upto "2.6.24.4-59.fc8" kernel version. Any newer kernel after "2.6.24.4-59" cause system freezing.

It seems my F8 system is freezing during PCI probing in the X server. I have found a PCI bug fix in the changelog after 59 kernel. Here is the changelog between 2.6.24.4-59 and 2.6.24.4-64:

* Thu Mar 27 2008 Chuck Ebbert <cebbert@redhat.com> 2.6.24.4-63
- Disable PID namespaces, hopefully fixing bug #438414

* Thu Mar 27 2008 Chuck Ebbert <cebbert@redhat.com> 2.6.24.4-62
- Fix broken PCI resource allocation.

* Thu Mar 27 2008 Dave Jones <davej@redhat.com>
- Backport lots of MTRR fixes from 2.6.25.
  Amongst others, this fixes bz 438960

* Thu Mar 27 2008 Dave Jones <davej@redhat.com>
- Enable USB debug in debug kernels.

Jason

Version-Release number of selected component (if applicable):
2.6.24.4-63

How reproducible:
Always


Steps to Reproduce:
1.configure X server as multi-head with multiple graphics cards
2.Start X server
3.

Actual Results:
System freezing

Expected Results:
X should start with multi-heads.

Additional info:
I couldn't see any log in the Xorg.0.log file, so system was crashed in the beginning of X start.
Comment 1 Bug Zapper 2008-11-26 05:43:17 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:31:06 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.